<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="passwordMaxLength"
            type="Integer" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/leftGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".05" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/rightGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".95" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/include_toolbar_no_status" />

        <include
            android:id="@+id/loading"
            layout="@layout/include_progressbar"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toolbar" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="start|center"
            android:layout_marginTop="4dp"
            android:fontFamily="@font/inter_bold"
            android:gravity="start|center"
            android:text="@string/new_password"
            android:textColor="@color/black"
            android:textSize="34sp"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/toolbar" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/newPasswordLabel"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="16dp"
            android:fontFamily="@font/inter_regular"
            android:gravity="start|center"
            android:text="@string/new_password_subtitle"
            android:textColor="@color/black"
            android:textSize="17sp"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/title" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/inputLayoutPassword"
            style="@style/BaseInputLayout"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:hint="@string/password"
            app:endIconMode="password_toggle"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/newPasswordLabel">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputPassword"
                style="@style/BaseEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="@font/inter_regular"
                android:imeOptions="actionGo"
                android:inputType="textPassword"
                android:letterSpacing=".5"
                android:maxLength="@{passwordMaxLength}"
                android:maxLines="1"
                android:textColor="@color/light_slate_gray"
                android:textSize="17sp" />

            <requestFocus />

        </com.google.android.material.textfield.TextInputLayout>

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btnContinue"
            style="@style/PrimaryButton"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:layout_marginBottom="16dp"
            android:enabled="false"
            android:text="@string/continue_string"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>
